!
! ACCOUNTS PAYABLE SYSTEM FILES
!
APS	     FILE,PRE(APS),NAME('APS.DAT'),RECLAIM,PROTECT,CREATE
	       OWNER('MjamesA'),ENCRYPT
DRECORD	       RECORD
FILE1		 STRING(50)			 !FILE SPEC GL FILE
FILE2		 STRING(50)			 !FILE SPEC TERMS OF PAYMENT FILE
FILE3		 STRING(50)			 !FILE SPEC CONTROL FILE
FILE4		 STRING(50)			 !FILE SPEC VENDOR FILE
FILE5		 STRING(50)			 !FILE SPEC VENDOR HISTORY FILE
FILE6		 STRING(50)			 !FILE SPEC VOUCHER FILE
FILE7		 STRING(50)			 !FILE SPEC VOUCHER DISTRIBUTION
FILE8		 STRING(50)			 !FILE SPEC VOUCHER ARCHIVE FILE
FILE9		 STRING(50)			 !FILE SPEC YEARLY VOUCHER FILE
FILE10		 STRING(50)			 !FILE SPEC 1099 DETAIL FILE
FILE11		 STRING(50)			 !FILE SPEC CHECK REGISTER FILE
DEAD_DATE	 LONG				 !DEMONSTRATION DEATH DATE
NAME		 STRING(30)			 !SYSTEM LICENSED TO . . .
	     . .

APSGLCTL     FILE,NAME(GLNAME),PRE(GL),RECLAIM,PROTECT,CREATE
	       OWNER('MjamesA'),ENCRYPT
CODE_KEY       KEY(GL:GL_CODE),NOCASE
RECORD	       RECORD
GL_CODE		 STRING(12)			 !General Ledger Account Number
GL_NAME		 STRING(25)			 !General Ledger Account Name
DB_TODAY	 DECIMAL(11,2)			 !Debits Today
CR_TODAY	 DECIMAL(11,2)			 !Credits Today
DB_MONTH	 DECIMAL(11,2)			 !Debits Month
CR_MONTH	 DECIMAL(11,2)			 !Credits Month
	     . .

APSTPCTL     FILE,NAME(TPNAME),PRE(TP),RECLAIM,PROTECT,CREATE
	       OWNER('MjamesA'),ENCRYPT
CODE_KEY       KEY(TP:TP_CODE),NOCASE
NAME_KEY       KEY(TP:TP_CODE,TP:TP_NAME),NOCASE
RECORD	       RECORD
TP_CODE		 BYTE				 !Terms of Payment Code
TP_NAME		 STRING(15)			 !Terms of Payment Description
DUE_DAYS	 SHORT				 !Due Days of Payment
DISC_DAYS	 SHORT				 !Number of Discount Days
DISC_PCT	 DECIMAL(5,2)			 !Discount Percentage
	     . .

APSCTL	     FILE,NAME(CTLNAME),PRE(CTL),RECLAIM,PROTECT,CREATE
	       OWNER('MjamesA'),ENCRYPT
RECORD	       RECORD
PRINT_NAME	 STRING(1)			 !Print Co Name on CHECK
APS_GL		 STRING(12)			 !Accounts PAYABLE GL Account
CASH_ACT	 STRING(12)			 !Cash GL Account
CASH_DISC	 STRING(12)			 !Cash Discount GL Account
FED_ID		 STRING(20)			 !FEDERAL ID # (EIN OR SSN)
NEXT_VOUCHER	 LONG				 !NEXT VOUCHER NUMBER
NEXT_CHECK	 LONG				 !NEXT CHECK NUMBER
USING_GL	 STRING(1)			 !POST DIRECT TO G/L?
	     . .

APSVENDOR    FILE,NAME(VENNAME),PRE(VEN),RECLAIM,PROTECT,CREATE
	       OWNER('MjamesA'),ENCRYPT
CODE_KEY       KEY(VEN:CODE),NOCASE
NAME_KEY       KEY(VEN:NAME),DUP,NOCASE
ZIP_KEY	       KEY(VEN:BILL_ZIP),DUP,NOCASE
BAL_KEY	       KEY(VEN:BALANCE_DUE),DUP,NOCASE
PURCH_KEY      KEY(VEN:PURCH_YTD),DUP,NOCASE
RECORD	       RECORD
CODE		 STRING(6)			 !VENDOR ID (Access Code)
NAME		 STRING(40)			 !VENDOR Name (Last, First)
BILL_ADDR1	 STRING(30)			 !Billing Address Line 1
BILL_ADDR2	 STRING(30)			 !Billing Address Line 2
BILL_CITY	 STRING(15)			 !Billing City
BILL_STATE	 STRING(2)			 !Billing State
BILL_ZIP	 LONG				 !Billing Zip Code
CO_PHONE	 STRING(12)			 !Company Phone Number
CONTACT		 STRING(20)			 !Name of Person to Contact
USUAL_TERMS	 BYTE				 !Usual PMT Terms
FED_ID		 STRING(20)			 !FEDERAL ID # (EIN OR SSN)
Q_1099		 STRING(1)			 !IS VENDOR 1099?
TYPE_1099	 BYTE				 !TYPE OF 1099 ACCOUNT
DATE_OPENED	 LONG				 !Date Account Opened
DATE_SALE	 LONG				 !Date of Last PURCHASE
DATE_PMT	 LONG				 !Date of Last Payment
LAST_CHECK	 LONG				 !LAST CHECK NUMBER
BALANCE_DUE	 DECIMAL(11,2)			 !Total Balance Due
PURCH_YTD	 DECIMAL(11,2)			 !Sales Year to Date
PMTS_YTD	 DECIMAL(11,2)			 !Payments Year to Date
DISC_YTD	 DECIMAL(11,2)			 !Discounts Year to Date
LPURCH_YTD	 DECIMAL(11,2)			 !Sales Year to Date
LPMTS_YTD	 DECIMAL(11,2)			 !Payments Year to Date
LDISC_YTD	 DECIMAL(11,2)			 !Discounts Year to Date
	     . .

APSVDHST    FILE,PRE(HST),NAME(HSTNAME),RECLAIM,PROTECT,CREATE
	       OWNER('MjamesA'),ENCRYPT
CODE_KEY       KEY(HST:CODE),NOCASE
RECORD	       RECORD
CODE		 STRING(6)			 !VENDOR ID (Access Code)
TY_PURCH	 DECIMAL(10,2),DIM(12)		 !This Year's Purchases
TY_PMTS		 DECIMAL(10,2),DIM(12)		 !This Year's Payments
TY_DISC		 DECIMAL(10,2),DIM(12)		 !This Year's Discounts
LY_PURCH	 DECIMAL(10,2),DIM(12)		 !Last Year's Purchases
LY_PMTS		 DECIMAL(10,2),DIM(12)		 !Last Year's Payments
LY_DISC		 DECIMAL(10,2),DIM(12)		 !Last Year's Discounts
	    . .

APSVOUCHER  FILE,PRE(VCH),NAME(VCHNAME),RECLAIM,PROTECT,CREATE
	    OWNER('MjamesA'),ENCRYPT
VOUCH_KEY     KEY(VCH:VOUCH_CODE,VCH:VOUCH_NUMBER,VCH:VOUCH_DATE)
RECORD	      RECORD
VOUCH_NUMBER	LONG				 !VOUCHER NUMBER
VOUCH_CODE	STRING(6)			 !VENDOR NUMBER
VOUCH_DATE	LONG				 !INVOICE DATE
VOUCH_TERMS	BYTE				 !PAYMENT TERMS
VOUCH_INV	LONG				 !INVOICE NUMBER
VOUCH_AMT	DECIMAL(11,2)			 !INVOICE AMOUNT
VOUCH_TOTAL	DECIMAL(11,2)			 !ORIGINAL AMOUNT OF INVOICE
VOUCH_FLAG	STRING(4)			 !FLAG - 'PAID' 'HOLD'
	    . .

APSVCHDST   FILE,PRE(VDF),NAME(VDFNAME),RECLAIM,PROTECT,CREATE
	    OWNER('MjamesA'),ENCRYPT
VCH_KEY	      KEY(VDF:VOUCH_CODE,VDF:VOUCH_NUMBER,VDF:VOUCH_DATE) DUP
VNC_KEY	      KEY(VDF:VOUCH_NUMBER,VDF:VOUCH_DATE) DUP
GL_KEY	      KEY(VDF:GL_ACCT,VDF:VOUCH_DATE) DUP
RECORD	      RECORD
VOUCH_NUMBER	LONG				 !VOUCHER NUMBER
VOUCH_CODE	STRING(6)			 !VENDOR NUMBER
VOUCH_DATE	LONG				 !INVOICE DATE
GL_ACCT		STRING(12)			 !DISTRIBUTION ACCOUNT
GL_AMT		DECIMAL(11,2)			 !DISTRIBUTION AMOUNT
	    . .

APSARCHIVE  FILE,PRE(ARC),NAME(ARCNAME),RECLAIM,PROTECT,CREATE
	    OWNER('MjamesA'),ENCRYPT
VOUCH_KEY     KEY(ARC:VOUCH_CODE,ARC:VOUCH_NUMBER,ARC:VOUCH_DATE) DUP
RECORD	      RECORD
VOUCH_NUMBER	LONG				 !VOUCHER NUMBER
VOUCH_CODE	STRING(6)			 !VENDOR NUMBER
VOUCH_DATE	LONG				 !INVOICE DATE
VOUCH_INV	LONG				 !INVOICE NUMBER
VOUCH_TOTAL	DECIMAL(11,2)			 !ORIGINAL AMOUNT OF INVOICE
PMT_DATE	LONG				 !DATE OF PAYMENT
CHECK_NO	LONG				 !CHECK NUMBER
	    . .					 !  ETC. (INTERNAL USAGE ONLY)

APSYVCFILE  FILE,PRE(YVC),NAME(YVCNAME),RECLAIM,PROTECT,CREATE
	    OWNER('MjamesA'),ENCRYPT
VOUCH_KEY     KEY(YVC:VOUCH_NUMBER)
RECORD	      RECORD
VOUCH_NUMBER	LONG				 !VOUCHER NUMBER
VOUCH_CODE	STRING(6)			 !VENDOR NUMBER
VOUCH_DATE	LONG				 !INVOICE DATE
VOUCH_TERMS	BYTE				 !PAYMENT TERMS
VOUCH_INV	LONG				 !INVOICE NUMBER
VOUCH_AMT	DECIMAL(11,2)			 !INVOICE AMOUNT
	    . .

APSDET1099   FILE,PRE(D99),NAME(D99NAME),RECLAIM,PROTECT,CREATE
	     OWNER('MjamesA'),ENCRYPT
CODE_KEY       KEY(D99:VEND_CODE,D99:CHECK_DATE) DUP
RECORD	       RECORD
VEND_CODE	 STRING(6)
CHECK_NO	 LONG
CHECK_DATE	 LONG
CHECK_AMT	 DECIMAL(11,2)
	     . .

APSCHKREG    FILE,PRE(REG),NAME(REGNAME),RECLAIM,PROTECT,CREATE
	     OWNER('MjamesA'),ENCRYPT
CHECK_KEY    KEY(REG:CHECK_NO)
RECORD	     RECORD
CHECK_NO       LONG
CHECK_DATE     LONG
VEND_CODE      STRING(6)
CHECK_AMT      DECIMAL(11,2)
DISC_AMT       DECIMAL(11,2)
	     . .

CONFIG	     FILE,NAME('CONFIG.DAT'),PRE(CFG),PROTECT
	     OWNER('MjamesA'),ENCRYPT
RECORD	     RECORD
TYPE	       BYTE
	     . .

GLNAME	     STRING(50)
PCNAME	     STRING(50)
TPNAME	     STRING(50)
CTLNAME	     STRING(50)
VENNAME	     STRING(50)
HSTNAME	     STRING(50)
VCHNAME	     STRING(50)
VDFNAME	     STRING(50)
ARCNAME	     STRING(50)
YVCNAME	     STRING(50)
D99NAME	     STRING(50)
REGNAME	     STRING(50)

!
! GENERAL LEDGER SYSTEM FILES
!
GLS	     FILE,PRE(GLS),NAME('GLS.DAT'),RECLAIM,PROTECT
	       OWNER('MjamesA'),ENCRYPT
DRECORD	       RECORD
FILE1		 STRING(50)			 !FILE SPEC BUDGET FILE
FILE2		 STRING(50)			 !FILE SPEC HISTORY FILE
FILE3		 STRING(50)			 !FILE SPEC ACCOUNTS FILE
FILE4		 STRING(50)			 !FILE SPEC STD TRANSACTION FILE
FILE5		 STRING(50)			 !FILE SPEC GEN TRANSACTION FILE
FILE6		 STRING(50)			 !FILE SPEC ARCHIVE FILE
FILE7		 STRING(50)			 !FILE SPEC SYSINFO FILE
FILE8		 STRING(50)			 !FILE SPEC PERIODS FILE
FILE9		 STRING(50)			 !FILE SPEC BALANCES FILE
FILE10		 STRING(50)			 !FILE SPEC PRINTER FILE
FILE11		 STRING(50)			 !FILE SPEC
FILE12		 STRING(50)			 !FILE SPEC
DEAD_DATE	 LONG				 !DEMONSTRATION DEATH DATE
NAME		 STRING(30)			 !SYSTEM LICENSED TO . . .
	     . .

GLSPERIOD    FILE,PRE(PER),NAME(GLSPERIODS),RECLAIM,PROTECT
	     OWNER('MjamesA'),ENCRYPT
RECORD	       RECORD
START		 LONG,DIM(13)			 !Period X Start
STOP		 LONG,DIM(13)			 !Period X Stop
CURRENT		 BYTE				 !Current Period
	     . .

GLSACCTS     FILE,PRE(ACC),NAME(GLSACCOUNTS),RECLAIM,PROTECT
	     OWNER('MjamesA'),ENCRYPT
CODE_KEY       KEY(ACC:GL_CODE),NOCASE
RECORD	       RECORD
GL_CODE		 STRING(12)			 !Account Code
DESCRIPTION	 STRING(30)			 !Account Description
TB_SUBTOTAL	 BYTE				 !Trial Balance Subtotal Level
FIN_STMT	 STRING(1)			 !Financial Statement Type
SAF_TYPE	 STRING(1)			 !Source/Application of Funds
NORMAL_BAL	 STRING(1)			 !NORMAL BALANCE - DEBIT OR CREDIT
COMPRESS	 STRING(1)			 !Compression Code
	     . .

GLSBDGET     FILE,PRE(BUD),NAME(GLSBUDGET),RECLAIM,PROTECT,CREATE
	       OWNER('MjamesA'),ENCRYPT
CODE_KEY       KEY(BUD:GL_CODE),NOCASE
RECORD	       RECORD
GL_CODE		 STRING(12)			 !General Ledger Account Code
PER		 DECIMAL(11,2),DIM(13)		 !Budget Amount Period X
	     . .

GLSBLANCES   FILE,PRE(BAL),NAME(GLSBALANCES),RECLAIM,PROTECT,CREATE
	       OWNER('MjamesA'),ENCRYPT
CODE_KEY       KEY(BAL:GL_CODE),NOCASE
RECORD	       RECORD
GL_CODE		 STRING(12)			 !General Ledger Account Code
BEG_BAL		 DECIMAL(11,2)			 !Beginning Balance
DEBITS		 DECIMAL(11,2),DIM(13)		 !PERIOD X TOTAL DEBITS
CREDITS		 DECIMAL(11,2),DIM(13)		 !PERIOD X TOTAL CREDITS
PER_LOCK	 STRING(1),DIM(13)		 !Period X Lock
END_BAL		 DECIMAL(11,2)			 !Ending Balance
	     . .

GLSHSTORY    FILE,PRE(HIS),NAME(GLSHISTORY),RECLAIM,PROTECT,CREATE
	       OWNER('MjamesA'),ENCRYPT
CODE_KEY       KEY(HIS:GL_CODE),NOCASE
RECORD	       RECORD
GL_CODE		 STRING(12)			 !General Ledger Code
PER_0		 DECIMAL(11,2),DIM(13)		 !Period X (Current Year)
PER_1		 DECIMAL(11,2),DIM(13)		 !Period X Year -1
PER_2		 DECIMAL(11,2),DIM(13)		 !Period X Year -2
PER_3		 DECIMAL(11,2),DIM(13)		 !Period X Year -3
PER_4		 DECIMAL(11,2),DIM(13)		 !Period X Year -4
PER_5		 DECIMAL(11,2),DIM(13)		 !Period X Year -5
	     . .

GLSGENTRN    FILE,PRE(GEN),NAME(GLSGENTRAN),RECLAIM,PROTECT
	     OWNER('MjamesA'),ENCRYPT
DOC_KEY	       KEY(GEN:DOCUMENT)
RECORD	       RECORD
DOCUMENT	 LONG				 !DOCUMENT NBR
GL_CODE		 STRING(12)			 !General Ledger Code
TRAN_DATE	 LONG				 !Transaction Date
TRAN_TIME	 LONG				 !Transaction Time (system time)
TRAN_DEBIT	 DECIMAL(11,2)			 !Transaction Amount (Debit)
TRAN_CREDIT	 DECIMAL(11,2)			 !Transaction Amount (Credit)
GEN_SOURCE	 STRING(10)			 !Transaction Source
GEN_REF		 STRING(25)			 !Reference
REVERSE		 STRING(1)			 !Reverse Next Period?
PERIOD		 BYTE				 !POSTING PERIOD
	     . .

GLSSYSINFO   FILE,PRE(GNF),NAME(GSYSINFO),RECLAIM,PROTECT
	       OWNER('MjamesA'),ENCRYPT
RECORD	       RECORD
DOC_NBR		 LONG				 !INTERNAL DOCUMENT NBR
	     . .

GLSACCOUNTS  STRING(50)
GLSBUDGET    STRING(50)
GLSHISTORY   STRING(50)
GLSBALANCES  STRING(50)
GLSGENTRAN   STRING(50)
GLSPERIODS   STRING(50)
GSYSINFO     STRING(50)

!
! SYSTEM-WIDE FILES
!
GAS	     FILE,PRE(GAS),NAME('GAS.DAT'),RECLAIM,PROTECT
	     OWNER('MjamesA'),ENCRYPT
DRECORD	       RECORD
FILE1		 STRING(50)			 !FILE SPEC INFO FILE
FILE2		 STRING(50)			 !FILE SPEC PRINTER FILE
DEAD_DATE	 LONG				 !DEMONSTRATION DEATH DATE
NAME		 STRING(30)			 !SYSTEM LICENSED TO . . .
	     . .

INFO	     FILE,NAME(INFNAME),PRE(INF),RECLAIM,PROTECT
	     OWNER('MjamesA'),ENCRYPT
RECORD	       RECORD
CO_RPT		 STRING(60)			 !Company Report Name
CO_DISP		 STRING(30)			 !Company Display Name
CO_ADDR1	 STRING(30)			 !Company Address Line 1
CO_ADDR2	 STRING(30)			 !Company Address Line 2
CO_CITY		 STRING(25)			 !Company City
CO_STATE	 STRING(2)			 !Company State
CO_ZIP		 LONG				 !Company Zip Code
CO_PHONE	 STRING(12)			 !Company Phone Number
PRINTER_1	 STRING(40)			 !Printer Name
PRINT1_TYPE	 STRING(1)			 !Printer Type
PRINT_LOC1	 STRING(4)			 !Printer Location
PRINTER_2	 STRING(40)			 !Printer 2 Type
PRINT2_TYPE	 STRING(1)			 !Printer Type
PRINT_LOC2	 STRING(4)			 !Printer Location
	     . .

PRTFILE	  FILE,NAME(PRTNAME),RECLAIM,PROTECT
	  OWNER('MjamesA'),ENCRYPT
PRTKEY	    KEY(PRINTER,DESCRIP)		 !PRINTER KEY
RECORD	    RECORD
KEYGRP	      GROUP				 !KEY GROUP
PRINTER		STRING(8)			 !  PRINTER CODE
DESCRIP		STRING(25)			 !  FULL DESCRIPTION OF PRINTER
	      .					 !END KEY GROUP
CODEGRP	      GROUP				 !CODE GROUP
DPPRNT		STRING(5)			 !  DATA PROCESSING MODE ON
LQPRNT		STRING(5)			 !  LETTER QUALITY MODE ON
DWON		STRING(5)			 !  DOUBLE WIDE ON
DWOFF		STRING(5)			 !  DOUBLE WIDE OFF
DHON		STRING(5)			 !  DOUBLE HIGH ON
DHOFF		STRING(5)			 !  DOUBLE HIGH OFF
ULON		STRING(5)			 !  UNDERLINE ON
ULOFF		STRING(5)			 !  UNDERLINE OFF
BOLDON		STRING(5)			 !  BOLDFACE ON
BOLDOFF		STRING(5)			 !  BOLDFACE OFF
OVERON		STRING(5)			 !  OVERSTRIKE ON
OVEROFF		STRING(5)			 !  OVERSTRIKE OFF
SUPERON		STRING(5)			 !  SUPERSCRIPT ON
SUBON		STRING(5)			 !  SUBSCRIPT ON
SSOFF		STRING(5)			 !  SUPER/SUBSCRIPT OFF
ITLICON		STRING(5)			 !  ITALICS ON
ITLICOFF	STRING(5)			 !  ITALICS OFF
CPI10		STRING(5)			 !  10 CHARACTERS PER INCH(PICA)
CPI12		STRING(5)			 !  12 CHARACTERS PER INCH(ELITE)
CPI17		STRING(5)			 !  CONDENSED MODE
CPI17CANCEL	STRING(5)			 !  CANCEL CONDENSED MODE
BACKSPC		STRING(5)			 !  BACKSPACE CHARACTER
LINEFD		STRING(5)			 !  LINEFEED
FORMFD		STRING(5)			 !  FORMFEED
CR		STRING(5)			 !  CARRIAGE RETURN
MODELFCR	STRING(5)			 !  EACH LF = LF+CR
MODELF		STRING(5)			 !  LF ONLY, NO CR
MODECR		STRING(5)			 !  CR ONLY, NO LF
MODECRLF	STRING(5)			 !  EACH CR = CR+LF
UNIDIREC	STRING(5)			 !  UNIDERECTIONAL PRINT ONLY
BIDIREC		STRING(5)			 !  BIDIRECTIONAL PRINTING
RESET		STRING(5)			 !  PRINTER RESET
DUMMY1		STRING(5)			 !
DUMMY2		STRING(5)			 !
DUMMY3		STRING(5)			 ! RESERVED FOR FUTURE
DUMMY4		STRING(5)			 !	    USE
DUMMY5		STRING(5)			 !
DUMMY6		STRING(5)			 !
REVPRT		STRING(5)			 ! REVERSE PRINT
CANREVPRT	STRING(5)			 ! CANCEL REVERSE PRINT
	  . . .					 !END FILE, RECORD, GROUP

INFNAME	     STRING(50)
PRTNAME	     STRING(50)
